Package owl.ltl

## Class Conjunction

- java.lang.Object
- - owl.ltl.Formula
  - - owl.ltl.Formula.LogicalOperator
    - - owl.ltl.PropositionalFormula
      - - owl.ltl.Conjunction

- All Implemented Interfaces:
    `Comparable<Formula>`

      public final class Conjunction
      extends PropositionalFormula

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class owl.ltl.Formula

      `Formula.LogicalOperator, Formula.ModalOperator, Formula.TemporalOperator`

  - ### Field Summary

    - ### Fields inherited from class owl.ltl.PropositionalFormula

      `children`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,​B> A` | `accept​(BinaryVisitor<B,​A> v, B parameter)` |
    `int` | `accept​(IntVisitor v)` |
    `<R> R` | `accept​(Visitor<R> v)` |
    `Formula` | `nnf()` |
    `Formula` | `not()` | Syntactically negate this formula.
    `static Formula` | `of​(Iterable<? extends Formula> iterable)` |
    `static Formula` | `of​(Iterator<? extends Formula> iterator)` |
    `static Formula` | `of​(Stream<? extends Formula> stream)` |
    `static Formula` | `of​(Formula... formulas)` |
    `static Formula` | `of​(Formula left, Formula right)` |
    `protected String` | `operatorSymbol()` |
    `Formula` | `substitute​(Function<? super Formula.TemporalOperator,​? extends Formula> substitution)` |

    - ### Methods inherited from class owl.ltl.PropositionalFormula

      `children, compareToImpl, equalsImpl, isPureEventual, isPureUniversal, map, shortCircuit, toString`

    - ### Methods inherited from class owl.ltl.Formula.LogicalOperator

      `temporalStep, temporalStep, temporalStep, temporalStepUnfold, unfold, unfoldTemporalStep`

    - ### Methods inherited from class owl.ltl.Formula

      `allMatch, anyMatch, atomicPropositions, compareTo, equals, hashCode, height, isSuspendable, subformulas, subformulas, subformulas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static Formula of​(Formula left,
                                   Formula right)

    - #### of

          public static Formula of​(Formula... formulas)

    - #### of

          public static Formula of​(Iterable<? extends Formula> iterable)

    - #### of

          public static Formula of​(Stream<? extends Formula> stream)

    - #### of

          public static Formula of​(Iterator<? extends Formula> iterator)

    - #### accept

          public int accept​(IntVisitor v)

      Specified by:
        `accept` in class `Formula`

    - #### accept

          public <R> R accept​(Visitor<R> v)

      Specified by:
        `accept` in class `Formula`

    - #### accept

          public <A,​B> A accept​(BinaryVisitor<B,​A> v,
                                      B parameter)

      Specified by:
        `accept` in class `Formula`

    - #### nnf

          public Formula nnf()

      Specified by:
        `nnf` in class `Formula`

    - #### not

          public Formula not()

      Description copied from class: `Formula`
      Syntactically negate this formula.

      If this formula is in NNF, the returned negation will also be in NNF.

      Specified by:
        `not` in class `Formula`
      Returns:
        the negation of this formula.

    - #### substitute

          public Formula substitute​(Function<? super Formula.TemporalOperator,​? extends Formula> substitution)

      Specified by:
        `substitute` in class `Formula`

    - #### operatorSymbol

          protected String operatorSymbol()

      Specified by:
        `operatorSymbol` in class `PropositionalFormula`